<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@handtracking.io/yoha](./yoha.md) &gt; [StartTfjsWebglEngine](./yoha.starttfjswebglengine.md)

## StartTfjsWebglEngine() function

Starts an analysis loop on a track source (e.g. a `<video>` element) using the tfjs webgl backend.

<b>Signature:</b>

```typescript
export declare function StartTfjsWebglEngine(engineConfig: IEngineConfig, trackSource: ITrackSource, yohaModels: IYohaTfjsModelBlobs, resCb: ITrackResultCb): Promise<IStopEngineCb>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  engineConfig | [IEngineConfig](./yoha.iengineconfig.md) | Engine configuration. |
|  trackSource | [ITrackSource](./yoha.itracksource.md) | The element to be analyzed. |
|  yohaModels | [IYohaTfjsModelBlobs](./yoha.iyohatfjsmodelblobs.md) | File blobs of the AI models required for the engine to run. |
|  resCb | [ITrackResultCb](./yoha.itrackresultcb.md) | Callback that is called with hand tracking results. The callback may be called with high frequency. |

<b>Returns:</b>

Promise&lt;[IStopEngineCb](./yoha.istopenginecb.md)<!-- -->&gt;

Promise that resolves with a callback that can be used to stop the analysis.

